using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class updatetablecandidateaddreview : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Review",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "ข้อแนะนำ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "ReviewPoint",
                table: "Candidates",
                type: "int",
                nullable: true,
                comment: "คะแนนความพึงพอใจ");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Review",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ReviewPoint",
                table: "Candidates");
        }
    }
}
